TopoGeo_AddPoint
Prev | 10.5. Topology Constructors | Next

## Name

TopoGeo_AddPoint — Adds a point to an existing topology using a tolerance and possibly splitting an existing edge.

## Synopsis

`integer TopoGeo_AddPoint(`varchar atopology, geometry apoint, float8 tolerance`)`;

## Description

Adds a point to an existing topology and returns its identifier. The given point will snap to existing nodes or edges within given tolerance. An existing edge may be split by the snapped point.

Availability: 2.0.0

## See Also

TopoGeo_AddLineString, TopoGeo_AddPolygon, AddNode, CreateTopology

Prev | Up | Next
ST_CreateTopoGeo | Home | TopoGeo_AddLineString